Subject: [PATCH v7 00/9] Column display

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Tue, 13 Mar 2012 19:09:12 +0700

This series fixes problems found in v6:

 - rework config code. I think it looks nicer now.
 - fix valgrind issue in shrink_columns()
 - make "help -a" respect column.*
 - only use up to term_columns() - 1. If we try to print to the last
   column, the line may be wrapped around.

This series misses the 1.7.10 train already and I wasn't going to post
this until the 1.7.10 comes out, but I'd like to take feedback on 3
extra WIP patches at the end. They deal with cases where column
layout is not as efficient as it should be. More details in the patch
description.

Nguyễn Thái Ngọc Duy (9):
  Add column layout skeleton and git-column
  Stop starting pager recursively
  column: add columnar layout
  column: add dense layout support
  help: reuse print_columns() for help -a
  branch: add --column
  status: add --column
  column: support piping stdout to external git-column process
  tag: add --column

Nguyễn Thái Ngọc Duy (3):
  ls-files: support --column
  column: support "denser" mode
  column: support grouping entries

 .gitignore                   |    1 +
 Documentation/config.txt     |   38 +++
 Documentation/git-branch.txt |    9 +
 Documentation/git-column.txt |   53 +++
 Documentation/git-status.txt |    7 +
 Documentation/git-tag.txt    |    9 +
 Makefile                     |    3 +
 builtin.h                    |    1 +
 builtin/branch.c             |   32 ++-
 builtin/column.c             |   59 ++++
 builtin/commit.c             |    7 +
 builtin/help.c               |    7 +-
 builtin/ls-files.c           |    8 +
 builtin/tag.c                |   27 ++-
 column.c                     |  724 ++++++++++++++++++++++++++++++++++++++++++
 column.h                     |   44 +++
 command-list.txt             |    1 +
 git.c                        |    1 +
 help.c                       |   59 ++--
 help.h                       |    2 +-
 pager.c                      |    2 +-
 parse-options.h              |    2 +
 t/t3200-branch.sh            |   77 +++++
 t/t7004-tag.sh               |   44 +++
 t/t7508-status.sh            |   24 ++
 t/t9002-column.sh            |  179 +++++++++++
 wt-status.c                  |   28 ++-
 wt-status.h                  |    1 +
 28 files changed, 1401 insertions(+), 48 deletions(-)
 create mode 100644 Documentation/git-column.txt
 create mode 100644 builtin/column.c
 create mode 100644 column.c
 create mode 100644 column.h
 create mode 100755 t/t9002-column.sh

-- 
1.7.8.36.g69ee2